Back to Platform

POST /api-accounts

POST
/api-accounts

POST operation for /api-accounts

Authorization

ApiKeyAuth
Authorization<token>

API key authentication. Format: Your API key (no "Token" prefix needed)

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://dev-rest.onboard.io/api-accounts" \  -H "Content-Type: application/json" \  -d '{    "first_name": "string",    "regenerate_token": true  }'
{
  "id": 1,
  "first_name": "string",
  "name": "string",
  "account_type": "admin",
  "created_at": "2021-01-01T00:00:00Z",
  "modified_at": "2021-01-01T00:00:00Z",
  "invited_at": "2021-01-01T00:00:00Z",
  "status": "active",
  "token": "string",
  "regenerate_token": true
}
Empty
Empty
Empty

How is this guide?